# About

## What kind of website is this?

An anime tracker where you can add anime to your list and edit your episode progress using either the website, the chrome extension or the mobile app.

## Why is it called notify.moe?

Because we made a notifier that takes your watching list, checks it against external websites and notifies you when there is a new episode on that external site. It's also a terrible wordplay combining "notify me!" and [moe](https://en.wikipedia.org/wiki/Moe_(slang)).

## So it's just a notifier?

In the past it was, but not anymore. We're growing bigger by establishing a database that combines information from multiple sources and also growing as a community. Many of us are hanging out on Discord and you are welcome to join us. We also have our own anime lists now due to popular request of adding episode progress changes to our browser extension.

## What does the current feature set look like?

* [Chrome](https://chrome.google.com/webstore/detail/anime-notifier/hajchfikckiofgilinkpifobdbiajfch) and [Firefox](https://addons.mozilla.org/en-US/firefox/addon/anime-notifier/) extension for quick watching list access and episode updates
* [Unrivaled](https://www.webpagetest.org/results/video/18/03/18/6071a7292ed1dd4602d30d13b31e1a89ec430b1d/video.mp4) page loading times
* High quality, multi-DPI images loading super-fast
* Smooth page transitions optimized for 144+ Hz monitors
* Looks good on 1080p, 720p and on mobile devices
* Airing dates
* Push notifications
* Light & Dark theme
* Offline browsing
* Anime radio
* Search
* User profiles
* Forums
* Soundtracks
* Quotes
* Companies
* Detailed anime rating system
* [anilist.co](https://anilist.co/), [myanimelist.net](https://myanimelist.net/) and [kitsu.io](https://kitsu.io/) import
* [Gravatar](https://gravatar.com) support

## Can I follow the project on social media?

* [Facebook](https://www.facebook.com/animenotifier)
* [Twitter](https://twitter.com/animenotifier)
* [Google+](https://plus.google.com/+AnimeReleaseNotifierOfficial)
* [Git](https://git.urbach.dev/web/notify.moe)
* [Discord](https://discord.gg/0kimAmMCeXGXuzNF)

## Where can I read the Terms of Service?

You automatically agree to the [Terms of Service](https://notify.moe/terms) by visiting and using this site.

## How do I enable notifications?

Use a browser that supports push notifications (Chrome or Firefox). Then go to your [settings](https://notify.moe/settings) and click "Enable notifications". This might take a while, especially on mobile devices. After that you can press "Send test notification". If you get a notification saying "Yay, it works!" then everything's fine. The real thing looks like this:

![Anime Notifications](https://puu.sh/wKpcm/304a4441a0.png)

## How do I use the search?

Press the "F" key and start searching for an anime title.

![Anime search](https://puu.sh/wM45s/ffe5025c63.png)

## How do I add anime to my list?

Once you open the anime page you should see a button called "Add to my collection". Clicking that will add the anime to your "Plan to watch" list. To move it to your current "Watching" list, you need to click "Edit in collection" and change the status to "Watching".

## How do I edit my episode progress?

There are 2 ways of editing your progress:

1. Click on the "+" button that shows up when you hover over the episode number. This will increase your progress by one episode on each click.
1. Click on the episode number so that a text input cursor shows up. Use backspace/delete keys and enter your new number directly. Press Enter or click somewhere else to confirm.

## How do I edit my rating?

Your "Overall" rating can be edited with the same method as episodes by clicking on the number directly so that the text input cursor shows up, then entering a new number and confirming with Enter. The other 3 rating numbers for Story, Visuals and Soundtrack can only be edited by going into edit mode (click on the anime title in your list).

## How does the rating system work?

You can rate each entry in your anime list in 4 different categories:

* Overall (this will determine the sorting order)
* Story (how interesting was the story/plot?)
* Visuals (art & effect & animation quality)
* Soundtrack (music rating)

Each rating is a number on a scale of 0 to 10. A rating of 0 counts as "not rated" and will be ignored in average rating calculations for that anime. Thus the lowest possible rating you can assign to an anime is 0.1. The highest possible rating is 10. The average is close to the number 5.

## How do I add a soundtrack?

Go to [soundtracks](https://notify.moe/soundtracks) and press the "Add soundtrack" button. Then add a title, media and tags for the track. For media you need to select a service (e.g. Youtube) and enter the ID of the video (usually at the end of the link). You can link it with an anime by adding an "anime:ID" tag where you replace ID with the anime ID. Once you're happy with the result, press "Publish".

## What does the Chrome extension offer me?

A quick access to your watching list:

![Anime Notifier Chrome extension](https://puu.sh/xTIJV/3ca46b7a4a.png)

## How can I format text and include images in the forum?

You need to use [Markdown](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet).

## What is offline mode?

This website / app is accessible even when you go offline. You can keep browsing the pages you visited earlier which is especially useful for mobile phones or when you're traveling with an unstable connection. Feel free to try it by disabling your WiFi and opening the site while offline.

## Do I need to keep the site open to receive notifications?

No, you can close the site and still receive notifications after you enabled them.

## What are the community rules for conversations on the forum?

* Be respectful to each other.
* Realize that every person has his or her own opinion and that you should treat that opinion with respect. You do not have to agree with strangers on the internet but it's worth thinking about their viewpoint.
* Do not spam.
* Do not advertise unrelated products. If anything it needs to be related to anime or the site itself.
* We do not mind links to competitors or similar websites. Feel free to post them.

## How do I import my former anime list?

We added importers for what we consider to be the 3 most popular list providers:

* anilist.co
* kitsu.io
* myanimelist.net

To use an importer, enter your nickname for the site you want to import from and click the "Import" button with the list provider name that just appeared.

![Anime list import](https://puu.sh/wM4dP/11d43e5f71.png)

## What does following a person do?

You will be able to see their progress and ratings on anime pages:

![Anime pages friends](https://puu.sh/wPfE2/d65ef4f771.png)

## How do I install the site as an Android app?

This website uses a modern technology that allows you to install websites as local apps. To install notify.moe as a mobile app, do the following:

1. Go to https://notify.moe on your Android device.
2. Open the menu by tapping the top right part of your browser.
3. Choose "Add to Home screen" and confirm it.
4. Now you can access your anime list easily from your home screen and get notified about new episodes.

You need to enable notifications on each device separately. To receive notifications on both desktop and mobile phone you need to click "Enable notifications" on both.

## How do I install the site as a PC/desktop app?

In Chrome, open the top right menu and go to **More tools > Add to desktop**. Make sure that "Open as window" is checked.

![Anime Notifier desktop app](https://puu.sh/wM4pB/542add3113.png)

## What do I get notified about?

At the time of writing this, you get notified when:

* A new episode from your watching list is released on twist.moe
* Somebody replies in a thread you have participated in
* Somebody likes your post
* You get a new follower

## How do notifications work from a technical perspective?

There are many, many ways how notifications can be implemented from a technical standpoint. There is e.g. "polling" which means that an app periodically checks external sites and tells you when something new is available. We are not using polling because these periodic checks can quickly drain your battery on a mobile phone. We are using so-called "push notifications" instead. The advantage of push notifications is that your mobile phone or desktop PC doesn't have to do periodic checks anymore - instead the website will send new episode releases to all of your registered devices. This consumes less CPU/network resources and is much more battery friendly for mobile devices.

## How can I confirm I'm a PRO user now?

Go to your [settings](https://notify.moe/settings), it should show you the remaining duration for your [PRO](https://notify.moe/shop) account.

## Are there any hotkeys?

* Press "F" to search the site for anime or other content
* Press "S" to hide or show the sidebar
* Press "K" to start/pause anime radio
* Press "J" or "L" for previous and next track respectively
* Press "+" or "-" to change audio playback speed

## Is this website well-optimized?

Take a look at the comparison of [notify.moe, kitsu.io, anilist.co and myanimelist.net](https://www.webpagetest.org/results/video/18/03/18/6071a7292ed1dd4602d30d13b31e1a89ec430b1d/video.mp4) loading speeds.

![Anime Notifier - Lighthouse](https://pbs.twimg.com/media/DEplUsNXgAEF-UT.jpg:large)

![Anime Notifier - PageSpeed](https://pbs.twimg.com/media/DEplXmpWsAAPzb6.jpg:large)

## Is this website secure?

* The site is not storing passwords which means there is no password that could be stolen
* The site uses HTTPS, CSP and CSS hashing to improve overall security
* The site functionality is 99.9% server-sided which is a requirement for any security related app
* The site is using only the most modern and secure SSL ciphers

## Is this website mobile-friendly?

Yes, we have a dynamic layout that works on everything from 320p to full HD (1080p). Larger sizes should work well due to automatic layout. On smartphones you can use the sidebar by sliding with your finger to the right side.

## Which platforms and browsers do you officially support?

OS:

* Windows
* Linux
* Mac

Browsers:

* Chrome
* Firefox
* Safari

The most modern browser is [without question](https://html5test.com/compare/browser/chrome-58/firefox-53/safari-10.2.html) Chrome and I highly recommend everyone to switch to Chrome if you're not using it already. Chrome has WebP support which *drastically* reduces page loading times and also lazy loading support which loads images only when they appear in your current viewport, reducing both your bandwidth and your initial loading times.

Firefox and Safari are supported but I do not recommend using them. See these for more information:

* [WebP support](http://caniuse.com/#feat=webp)
* [Push notifications](http://caniuse.com/#feat=push-api)
* [Intersection Observer support](http://caniuse.com/#feat=intersectionobserver) (lazy loading)
* [RequestIdleCallback](http://caniuse.com/#feat=requestidlecallback) (defer unimportant requests to idle times)

## Can you tell me more about the history of this software?

From a technological standpoint we went through quite a few different approaches:

* Version 1.0: This version was just a browser extension with **client-side JS**.
* Version 2.0: To decrease the number of requests/pressure on external sites we made a central website. It was written in **PHP**.
* Version 3.0: A complete remake of the website in **node.js** supporting 4 different list providers and 2 anime providers. Episode changes were not possible.
* Version 4.0: We switched to our own hosted anime lists to make episode updates in the extension as smooth as possible. The website is now written in **Go** and uses 3 separate servers/machines (web server, database and the scheduler).

## How many developers are working on this?

Since 2014 it's been just me, though I do plan to start a company and hire talented people to help me out with this project once the stars align.

## Is there an API for this site?

Yes, the [API](https://notify.moe/api) is an on-going effort and subject to change.

## Can I show my support for this site? Do you accept donations?

I recently added [PRO](https://notify.moe/shop) accounts for an extended feature set. You do not have to donate without getting something back, instead I'd rather be happy to see you profit from the donation as well. It would be my dream to work on this full-time.

## Can I help with coding or change stuff as this is Open Source?

Sure, the setup to start contributing is not that hard. Try to get in contact with me on Discord.

## Can I apply to be a data mod / editor?

Sure, just contact me on Discord if you want to help out with the database.
