# Table of contents

[Anime page](#plot-twist---anime-edit-page)

[Editor menu](#editor-menu)

* [MAL](#mal)

* [Tracks](#tracks)

* [Anime](#anime)

* [Companies](#companies)

* [Kitsu](#kitsu)

[Company page](#company-page-edit)

# Living in the database, database

I hear you're now an editor, welcome, welcome. Hopefully this guide will help you on your journey to climbing to the top of the leaderboard, young adventurer.

# Introduction

Ok, on to the actual guide. You've probably noticed by now that you have 2 new menu options

![image](https://user-images.githubusercontent.com/7947042/37794711-fc0dc17a-2e1a-11e8-90a9-4a23b5c24444.png)

1. Log - pretty self explanatory. It shows you a history of recent edits and includes all the information need, such as: what was changed, when, by whom and also displays which entry was edited

2. Editor - now this is where the fun stuff happens


# Plot twist - Anime edit page

Before the fun stuff you must first learn the basics. **Edits are saved by pressing Tab, Enter or just by clicking outside of the field**. Anyway, when you go to a media page you'll see 2 buttons. The button we care about here is `Edit anime`.

![image](https://user-images.githubusercontent.com/7947042/37798119-708e45b6-2e24-11e8-9020-8b3d9ffaeeba.png)

The first thing you'll notice when you click on that button is a new menu.

![image](https://user-images.githubusercontent.com/7947042/37798206-c52a273e-2e24-11e8-8347-3a33ba783983.png)

1. Anime - that's the page where you came from

2. Edit - the current page.

The first menu is type: tv, special, ONA, OVA, music and movie

![image](https://user-images.githubusercontent.com/7947042/37798262-f1d2519e-2e24-11e8-90fe-4adb33fb312f.png)

![image](https://user-images.githubusercontent.com/7947042/37798505-9bb39506-2e25-11e8-81e3-53a6a7f54c0a.png)

Canonical: most common usage. If you're wondering feel free to ask or in worst case scenario you could check google trends

English: English

Romaji and Japanese: these can be rough for people that don't read Japanese so generally either ask people in the chat or check the official site.

Hiragana: ignore that

Synonyms: click the `+` button and a box will show up, just write/paste in it and you're done.

![image](https://vgy.me/qpu8hC.png)

Summary: eh, you know what a summary is. Just pick the best one and if your source is not MAL or Kitsu then write down which it is. If it's either of the 2 a bot will later add that info

Status: a drop down menu with 4 options: current, finished, upcoming and to be announced. The important part here is that upcoming means that it's starting next season and to be announced means that we don't know when it's going to start airing.

![image](https://vgy.me/vkfXeh.png)

Genres work the same way synonyms.

![image](https://vgy.me/bcB7HH.png)

The format for the dates is year-month-day. The best place to get the information for them is from Shoboi (will be explained later)

![image](https://vgy.me/TLk2rx.png)

Shoboi has the most reliable episode count, after that it's Anilist and then MAL. The last 2 also have the most reliable information for episode length, but MAL can be questionable in that aspect. Source is source.

![image](https://vgy.me/Y5wEHr.png)

This is where the PV goes. Service is a drop down that works the same way as when adding a track. It's a drop down with Youtube, SoundCloud and Dailymotion as options and as you can see we don't need the full links, just the last part. For example, this is a Youtube link `https://www.youtube.com/watch?v=dQw4w9WgXcQ` the only part you care about is `dQw4w9WgXcQ`. The rest you don't need to copy.

![image](https://user-images.githubusercontent.com/7947042/37799409-4735d02c-2e28-11e8-89ee-5e8dd992efad.png)

All mappings work the same way. The service can be `shoboi/anime`, `anilist/anime`, `myanimelist/anime`, `thetvdb/anime` and`anidb/anime`. The ID is the corresponding number. If you need help for finding IDs on the different services ask in chat.

![image](https://vgy.me/MEPOaR.png)

Here it gets a bit complicated, but don't worry, you already know what to do. It's the same logic as the PVs, but instead of youtube links it's notify.moe links. For example, here you have a link to a studio `https://notify.moe/company/LjA89nUkgI` which you can get from the Companies menu. The part you need is `LjA89nUkgI` and you don't need to copy the rest.

Whew, that takes care of the most tedious part <3

3. Images

![image](https://user-images.githubusercontent.com/7947042/37800003-2727e6f6-2e2a-11e8-897c-b4cfa80df076.png)

Pretty simple. You upload a file.

4. Characters

![image](https://user-images.githubusercontent.com/7947042/37800060-519f2836-2e2a-11e8-84c1-583c5c1a8eb7.png)

This....is a bit complicated. You already know the basic idea. It works like mappings, but here you even have previews! What makes things complicated is that we can't add characters yet so we can only map existing ones and the process can get complicated at times.

![image](https://user-images.githubusercontent.com/7947042/37800579-f5548b5a-2e2b-11e8-8303-79480c6e2e90.png)

Same logic, Just take the ID from the URL and you're done.

5. Episodes - Automatically generated

6. History - Shows the changes done to tha specific entry, works the same way as the log.

# Editor menu

Ok, this is where we get down to business. When you open that menu you'll be greeted with this page. I call it the e-peen page and I love it. Who doesn't like growing their e-peen ;)

![image](https://vgy.me/9SvuFH.png)

Naturally, it won't say Bleack, but instead it'll be your name. Anyway, everything on the page doesn't really need explaining. The score in red is your score and it's calculated based on the number of edits you've made, which are displayed on hover.

The interesting part is this

![image](https://vgy.me/FrlZhL.png)

But first I need to mention this. It works just like the explore page so don't overthink it.

![image](https://user-images.githubusercontent.com/7947042/37802661-142728be-2e34-11e8-9c98-684f31426ec1.png)

## MAL

![image](https://user-images.githubusercontent.com/7947042/37795537-69d39976-2e1d-11e8-861d-d929198b02e7.png)


This is where we compare our data with MAL's. As you can see, you can filter out based on year, airing status and media type. It's useful for preparing for upcoming seasons and when finishing up current seasons, but it's also good if you're on an editing spree because you can set small goals for yourself  instead of facing it all.

![image](https://user-images.githubusercontent.com/7947042/37797051-76254a9a-2e21-11e8-8989-4d3a732bf889.png)

This is what you'll see when there's a difference. What you do with the information displayed is left up to your judgement and the information you can get on other sites, such as: MAL, Anilist, Anidb, ANN and Shoboi. The icons are fairly standard. The edit icon opens the entry in a new tab in editing mode, the icon next to it opens the MAL page for it and the trash icon will result in ignoring the difference displayed until there's new data. Also, it has a confirmation dialogue so don't worry about misscliks.

## Tracks

![image](https://vgy.me/pAe1hc.png)

Tracks that have no iTunes or Amazon links.

## Companies

Just companies that have no description.

![image](https://vgy.me/SJn5xb.png)


## Kitsu

![image](https://vgy.me/9JksvW.png)

New anime on Kitsu - press import to import.

## Anime

Here you're presented with a new menu

![image](https://vgy.me/D4Byi6.png)

Basically this displays entries that don't have mappings to MAL/Shoboi/Anilist. MAL and Anilist are there for obvious reasons and Shoboi is where we get our episode data for notifications so it's important that every show from the current and upcoming season to have a Shoboi ID. I'll explain how to do that in a later part.

Duplicate displays entries that share the same ID.

1. Synopsis - Anime entries that don't have a synopsis that's longer than x characters.

2. Genres - Anime entries that don't have any genres. At all.

3. Start date - idk, guess?

4. Images - Ok, so here's the deal. A lot of anime have horribly low resolution posters. We're talking about 200x350 here. It's really bad looking and we're working on fixing that.

![image](https://user-images.githubusercontent.com/7947042/37801243-850c154a-2e2e-11e8-9bbf-b8c7e1fb40a6.png)

You have 2 submenus there. Low-Res are images the size of which I just mentioned. Ultra Low-Res....let's just say it's not pretty


# Company page edit

It's pretty simple. The name opens a new tab and the Clicking on the search icon opens a new Wikipedia tab with a search for the name and clicking

![image](https://vgy.me/lDpNKV.png)

It's pretty simple. Never ever change the English name. As for the Japanese name, there's something specific to know about. Let's use `株式会社プロダクションアイムズ` as an example. You don't need the `株式会社` part (literally means company). Just copy this `プロダクションアイムズ`

![image]( https://vgy.me/tQhPyR.png)

Same logic as getting the ID for shows from MAL.
![image](https://vgy.me/ZS4B50.png)

Links are done in this specific order and format.

![image](https://vgy.me/NGyNfZ.png)

Now it gets complicated. These are the navigational coordinates for a studio and getting them is a bitch

First you go to the official site, which is usually linked on Wikipedia. When you get there and get your hopes crushed and see that the site doesn’t have an English option you start searching for the about section. Sometimes the address is in company or contacts so check those if you can’t find it initially. Also, I recommend taking advantage of this. You may not know Japanese, but you definitely know English…I hope

![image](https://vgy.me/uy7y1o.png)

Usually you’ll be a greeted by a page that looks like this

![image](https://vgy.me/On1WMd.png)

This is the part where you go to your old friend Google Translate and admit defeat. Once you find out which field is the address I recommend switching back to Japanese, opening up Google Maps and begin searching.  Once you think you’ve found it (and if you’re not sure ask in chat) right click on the location and go to “What’s here?”. Like this

![image](https://vgy.me/XoOKd4.png)

A box looking like this will pop up

![image](https://vgy.me/U2ppx6.png)

Generally speaking if you’re looking at coordinates different from 35.XXXXXX, 139.XXXXXX then you’ve landed in the wrong country through some magic.

You take those coordinates and paste them like this

![image](https://vgy.me/fhNXfP.png)


# Shoboi

Ok, so first thing you do is go to . Then you copy the Japanese and enter it into what is clearly a search and hope it finds what you're searching for. Like this

![image](https://vgy.me/zAbqxB.png)

What you see after you click on that? I got no clue what that page is about and it doesn't matter. If you're there for the ID - great, it's in the URL. If you're checking airing dates - go here

![image](https://vgy.me/7PMgFe.png)

But remember! In order of appearance:

![image](https://vgy.me/a9IcMo.png)

Channel, Airing date, Time block, Episode number, Episode name, Notes, Date of last edit. Do not get airing date and date of last edit wrong!

Most important thing regarding notes is this:


![image](https://vgy.me/5jgvTq.png)

It basically means last episode.
